class Plugins::Sidebars::TaggedController < Sidebars::Plugin
  def self.display_name
    "Tagged Articles"
  end

  def self.description
    "List of articles with a given tag"
  end
  
  def self.default_config
    {'title' => 'Recommended Reading', 'tag' => 'Recommended', 'count' => 5 }
  end

  def content
    limit = @sb_config['count']
    @articles = Article.find_published_by_tag_name(@sb_config['tag'],
                                                    :limit => limit)
  end

  def configure
  end
end
